Loading...
Searching...
No Matches
IODMultiFrameFGModule Class Reference

Class managing the data from the Multi-Frame Functional Group Module. More...

Inheritance diagram for IODMultiFrameFGModule:

## Classes

class | ConcatenationInfo
| Helper class encapsulating concatenation information, including Concatenation Frame Offset Number, Concatenation UID, SOP Instance UID of Concatenation Source, In-concatenation Number, In-concatenation Total Number. More...

## Public Member Functions

| IODMultiFrameFGModule (OFshared_ptr< DcmItem > data, OFshared_ptr< IODRules > rules)
| Constructor.
| IODMultiFrameFGModule ()
| Constructor.
virtual | ~IODMultiFrameFGModule ()
| Virtual destructor.
virtual OFString | getName () const
| Get name of the module ("MultiframeFunctionalGroupsModule").
virtual void | resetRules ()
| Reset attribute rules to their default values.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | getInstanceNumber (Sint32 &value, const unsigned int pos=0)
| Get Instance Number.
virtual OFCondition | getContentDate (OFString &value, const signed long pos=0)
| Get Content Date.
virtual OFCondition | getContentTime (OFString &value, const signed long pos=0)
| Get Content Time.
virtual OFCondition | getNumberOfFrames (Sint32 &value, const unsigned int pos=0)
| Get Number of Frames.
virtual OFCondition | getRepresentativeFrameNumber (Uint16 &value, const unsigned int pos=0)
| Get Representative Frame Number.
virtual ConcatenationInfo & | getConcatenationInfo ()
| Get Concatenation Information.
virtual OFCondition | setInstanceNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Instance Number.
virtual OFCondition | setContentDate (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Date.
virtual OFCondition | setContentTime (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Time.
virtual OFCondition | setNumberOfFrames (const Uint32 value)
| Set Number of Frames.
virtual OFCondition | setRepresentativeFrameNumber (const Uint16 value)
| Set Representative Frame Number.
virtual OFCondition | setConcatenationInfo (const ConcatenationInfo &concatenationInfo)
| Set concatenation information.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes

ConcatenationInfo | m_ConcatenationInfo
| Concatenation Information.

## Static Private Attributes

static const OFString | m_ModuleName
| Module name ("MultiframeFunctionalGroupsModule".

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class managing the data from the Multi-Frame Functional Group Module.

The actual functional groups are not included and can be interfaced by the FGInterface class in module "dcmfg".

## Constructor & Destructor Documentation

## IODMultiFrameFGModule()

IODMultiFrameFGModule::IODMultiFrameFGModule | ( | OFshared_ptr< DcmItem > | data,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  data | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## getConcatenationInfo()

virtual ConcatenationInfo & IODMultiFrameFGModule::getConcatenationInfo | ( |  | ) |

virtual

Get Concatenation Information.

Returns
  Reference to the concatenation information

## getContentDate()

virtual OFCondition IODMultiFrameFGModule::getContentDate | ( | OFString & | value,
|  | const signed long | pos = 0 )

virtual

Get Content Date.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getContentTime()

virtual OFCondition IODMultiFrameFGModule::getContentTime | ( | OFString & | value,
|  | const signed long | pos = 0 )

virtual

Get Content Time.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getInstanceNumber()

virtual OFCondition IODMultiFrameFGModule::getInstanceNumber | ( | Sint32 & | value,
|  | const unsigned int | pos = 0 )

virtual

Get Instance Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getName()

virtual OFString IODMultiFrameFGModule::getName | ( |  | ) | const

virtual

Get name of the module ("MultiframeFunctionalGroupsModule").

Returns
  Name of the module ("MultiframeFunctionalGroupsModule")

Implements IODComponent.

## getNumberOfFrames()

virtual OFCondition IODMultiFrameFGModule::getNumberOfFrames | ( | Sint32 & | value,
|  | const unsigned int | pos = 0 )

virtual

Get Number of Frames.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getRepresentativeFrameNumber()

virtual OFCondition IODMultiFrameFGModule::getRepresentativeFrameNumber | ( | Uint16 & | value,
|  | const unsigned int | pos = 0 )

virtual

Get Representative Frame Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## read()

virtual OFCondition IODMultiFrameFGModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## setConcatenationInfo()

virtual OFCondition IODMultiFrameFGModule::setConcatenationInfo | ( | const ConcatenationInfo & | concatenationInfo | ) |

virtual

Set concatenation information.

Parameters

  concatenationInfo | The concatenation info to set

Returns
  EC_Normal if successful, error otherwise

## setContentDate()

virtual OFCondition IODMultiFrameFGModule::setContentDate | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Content Date.

Parameters

  value | Value to be stored
  checkValue | Check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setContentTime()

virtual OFCondition IODMultiFrameFGModule::setContentTime | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Content Time.

Parameters

  value | Value to be stored
  checkValue | Check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setInstanceNumber()

virtual OFCondition IODMultiFrameFGModule::setInstanceNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Instance Number.

Parameters

  value | Value to be stored
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setNumberOfFrames()

virtual OFCondition IODMultiFrameFGModule::setNumberOfFrames | ( | const Uint32 | value | ) |

virtual

Set Number of Frames.

Parameters

  value | Value to be stored

Returns
  EC_Normal if successful, an error code otherwise

## setRepresentativeFrameNumber()

virtual OFCondition IODMultiFrameFGModule::setRepresentativeFrameNumber | ( | const Uint16 | value | ) |

virtual

Set Representative Frame Number.

Parameters

  value | Value to be stored

Returns
  EC_Normal if successful, an error code otherwise

## write()

virtual OFCondition IODMultiFrameFGModule::write | ( | DcmItem & | destination | ) |

virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modmultiframefg.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0